Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class AmountType4Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.AmountType4Choice

    public class AmountType4Choice
    extends java.lang.Object

Java class for AmountType4Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmountType4Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="InstdAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="EqvtAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}EquivalentAmount2"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected EquivalentAmount2` `eqvtAmt`
`protected ActiveOrHistoricCurrencyAndAmount` `instdAmt`

### Constructor Summary

Constructors
`AmountType4Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EquivalentAmount2` `getEqvtAmt()` Gets the value of the eqvtAmt property.
`ActiveOrHistoricCurrencyAndAmount` `getInstdAmt()` Gets the value of the instdAmt property.
`void` `setEqvtAmt​(EquivalentAmount2 value)` Sets the value of the eqvtAmt property.
`void` `setInstdAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the instdAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instdAmt

    protected ActiveOrHistoricCurrencyAndAmount instdAmt

#### eqvtAmt

    protected EquivalentAmount2 eqvtAmt

### Constructor Detail

#### AmountType4Choice

    public AmountType4Choice()

### Method Detail

#### getInstdAmt

    public ActiveOrHistoricCurrencyAndAmount getInstdAmt()

Gets the value of the instdAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setInstdAmt

    public void setInstdAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the instdAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getEqvtAmt

    public EquivalentAmount2 getEqvtAmt()

Gets the value of the eqvtAmt property.

Returns:
  possible object is `EquivalentAmount2`

#### setEqvtAmt

    public void setEqvtAmt​(EquivalentAmount2 value)

Sets the value of the eqvtAmt property.

Parameters:
  `value` - allowed object is `EquivalentAmount2`